Bug 161890

Summary: security/cyrus-sasl2 update broke IMAPS in mail/mutt-devel
Product: Ports & Packages Reporter: Roman Bogorodskiy <novel>
Component: Individual Port(s)Assignee: Hajimu UMEMOTO <ume>
Status: Closed FIXED    
Severity: Affects Only Me CC: Udo.Schweigert
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Roman Bogorodskiy freebsd_committer 2011-10-22 03:20:03 UTC
	IMAPS no longer works in mutt with security/cyrus-sasl2, I get this:

	[2011-10-10 10:05:13] imap_auth_sasl: Error allocating SASL connection.

	The problem seems to be caused by recent changes in cyrus-sasl2.

	I have checked out an older version by using 'cvs co -D "1 month ago"
	cyrus-sasl2':

	# $FreeBSD: ports/security/cyrus-sasl2/Makefile,v 1.145 2011/02/06
	# 07:41:12 ume Exp $

	Installed in and everything started to work as expected.

How-To-Repeat: 	Build mail/mutt-devel with WITH_MUTT_CYRUS_SASL2 and try to
        open up an IMAPS mailbox.
Comment 1 Edwin Groothuis freebsd_committer 2011-10-22 03:20:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ume

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Roman Bogorodskiy freebsd_committer 2011-10-23 01:38:32 UTC
After some debugging it appears that it's a regression is
sasl_client_new() code in cyrus-sasl2, which started to fail if FQDN
hostname for the client cannot be determined.

Here's a patch that works for me:

http://people.freebsd.org/~novel/misc/patch-lib-saslutil.c

I have also found that the similar patch was posted to cyrus-sasl2
bugzilla:

https://bugzilla.cyrusimap.org/show_bug.cgi?id=3589

Roman Bogorodskiy
Comment 3 dfilter service freebsd_committer 2012-03-19 17:08:30 UTC
novel       2012-03-19 17:08:16 UTC

  FreeBSD ports repository

  Modified files:
    security/cyrus-sasl2 Makefile 
  Added files:
    security/cyrus-sasl2/files patch-lib-saslutil.c 
  Log:
  Fix broken get_fqhostname() logic. Without that fix mail/mutt-devel
  compiled with WITH_MUTT_CYRUS_SASL2 option is not able to
  connect to IMAPS mailbox.
  
  PR:             161890
  Submitted by:   novel (myself)
  Approved by:    maintainer timeout (more than 4 months)
  Obtained from:  https://bugzilla.cyrusimap.org/show_bug.cgi?id=3589
  Feature safe:   yes
  
  Revision  Changes    Path
  1.149     +1 -1      ports/security/cyrus-sasl2/Makefile
  1.1       +59 -0     ports/security/cyrus-sasl2/files/patch-lib-saslutil.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Roman Bogorodskiy freebsd_committer 2012-03-19 17:16:40 UTC
State Changed
From-To: open->closed

Committed.